--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Same as create but calls Model#create! and does save invalid models
- !ruby/struct:SM::Flow::P 
  body: "@param klass [Class, DataMapper::Resource] @param name [Symbol] @param attributes [Hash]"
- !ruby/struct:SM::Flow::P 
  body: "@api private"
- !ruby/struct:SM::Flow::P 
  body: "@returns [DataMapper::Resource] added instance"
full_name: DataMapper::Sweatshop::create!
is_singleton: true
name: create!
params: (klass, name, attributes = {})
visibility: public
